Make a single payment through Payouts API
SingleView Payouts API services allow a single payment facility to interact through JSON requests and responses. The request is posted in a format specified for the concerned end-point. Based on the validity of the request, SingleView Payouts API processes the request and reflects a response accordingly. The authentication process involves additional identification parameters to ensure the best way to authorize the payment request.
Date tag in YYMMDD format should have an upcoming date. Transaction with a past date gets failed.SequenceNum is unique for each transaction. Payments with same sequence number appear as duplicate transactions and affects their processing and enquiry operations.#, &, *, %, =, ^, _, \, {, |, }, ~, ", ;, @, [, ], `>, <, and ```.Environment | Domain | Rate/Limit |
|---|---|---|
Sandbox | 10 Calls per Minute | |
Production/LIVE | To be provided upon onboarding | Based on contract |
Endpoint URL | Method | Authentication requirements |
|---|---|---|
| POST |
|
| Query Parameter |
|
curl --location 'https://sandboxapi.onesingleview.com/api/v1/payment/fundtransfer?transferType=interbank' \
--header 'CompanyId: MYCOMPANY'
--header 'SVReferenceID: SV150619940615'
--header 'DateTimeStamp :2025-01-02T10:20:39'
--header 'Device: Web'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNMlZ4WGpFZmR6WFNWaTFad3B5QnlkOVpHelZXR2ZwUmFQNUV1TXl6S1Aybi94Y0lwR2V5STNNMkdPL1pqakd4ZG0yclJKUkdhRXlaWGNpWnZnOHArMWIyOGtOQTVkZ0VKajVVSEdiTmtNPSIsImlhdCI6MTczNTgwMTQ3NywiZXhwIjoxNzM1ODA1MDc3fQ.Bh7LFkvxNFrLe9dmH5rURWjGpES-u4z2EGeyrNM7z6E'
--header 'Content-Type: application/json' \
--data '{
"Message": {
"OSVPaymentMessageRequest": {
"TransactionType": "MT100",
"OSVPaymentTransactionRequest": [
{
"TransactionDescription": "2222222",
"BulkToSingle": true,
"BankCode": "ALRAJHI",
"TransactionData": [
{
"AdditionalDetails": "",
"OrderingCustomerIBAN": "SA358000204000010006085128008",
"BeneficiaryAccountWithInstitutionBIC": "RJHISARI",
"PurposeOfRemittance": "01",
"TransferType": "sarie",
"SequenceNum": "77858297",
"BeneficiaryAccountNumberNameAddress": {
"BeneficiaryADD2": "Al Rabie Dist Riyadh Saudi Arabia",
"BeneficiaryADD3": "Riyadh Saudi Arabia",
"BeneficiaryADD1": "Trade Finance Center",
"BeneficiaryName": "Abdul",
"BeneficiaryAccount": "204000010006085127014"
},
"B2BCRN": "2020050501",
"OrderingCustomerNameAddress": {
"OrderingCustomerAdd3": "Saudi Arabia",
"OrderingCustomerAdd1": "Head Off P.O Box 66674",
"OrderingCustomerAdd2": " Riyadh",
"OrderingCustomerName": "Mohammed"
},
"OrderingCurrency": "SAR",
"TransactionComment": "2222",
"DateCurrencyAmount": {
"Currency": "SAR",
"Amount": "12",
"Date": "250116"
},
"OrderingCustomerAccountNumber": "204000010006085128008",
"OrderingInstitution": "RJHISARI",
"CompanyCode": "125001234",
"DetailsOfCharge": "SHA"
}
],
"TransactionReferenceNumber": "797687499"
}
]
}
},
"Signature": "efJYWXExtuqCNHtQ8iaZPBL9j7DGpwuyl38UFTomsuz6M4M1ERSE0MpW4dmMXCTLPbk3uhEOnBPfyOJ04jcjeNK9k4bpdYrk+8gGHOg9IrO+eCaA0XOXVxNzOJXLv2nUwyPV8rHYTSpI3XFo98cvVcCNjOb3cwwDN3vH6ml9TEJqN3/xQKm6+jzAo26zkD2Ui3RX1fl4UcACchPuZhPfKTj4JirhGL3Gi4IqqaDCHvH2xKjKXEuCO4BZ0P24kl1RCUzZ3nOwc6rxT/xEb2ouwUNUVI5/l45g3bd1Eo1X/f9KWZvDWeBlaV+cYCBAKvUVfvJZXCNHgmhKBOpJkCBgUA=="
}'Request description
JSON Tag | Requirement | Description | Data type |
|---|---|---|---|
Message | Mandatory | Header information (client credentials) | Object |
OSVPaymentMessageRequest | Mandatory | Root node containing all the payment transaction messages | Object |
TransactionType | Mandatory | To be always mentioned as | Alphanumeric |
OSVPaymentTransactionRequest | Mandatory | This tag contains multiple banks requests | Object |
BankCode | Mandatory | Unique bank identification code Ex: | Alphanumeric |
TransactionReferenceNumber | Mandatory | It is a unique reference number generated by the customer for each transaction) Maximum length : 16 numeric characters | Numeric |
TransactionDescription | Mandatory | Payment Description Maximum length : 35 characters | String |
BulkToSingle | Optional | Boolean indication of payment type (Bulk/Single) | Boolean (True/False) |
TransactionData | Mandatory | This tag contains the payment details | Array |
CompanyCode | Mandatory | Sender company code/Identifier provided by the bank | Alphanumeric |
SequenceNum | Mandatory | Unique number representing each transaction generated by the client Length of input: 16 characters | Numeric |
B2BAggrId | Conditional | Unique B2B aggregator identification details. Mandatory only for ICICI Bank | Alphanumeric |
B2BName | Conditional | Unique B2B name Mandatory only for ICICI Bank | Alphabet |
B2BUserId | Conditional | Unique B2B user identification details Mandatory only for ICICI Bank | Alphanumeric |
B2BUrn | Conditional | Unique B2B URN Mandatory only for ICICI Bank | String |
B2BCRN | Conditional | Unique Identity for Client Will be provided by Al Rajhi Bank Mandatory only for Al Rajhi Bank | String |
DateCurrencyAmount | Mandatory | Element root containing details of Date, Currency and Amount | Object |
Date | Mandatory | Value date Transactions will be performed on this date. Date must be expressed as YYMMDD Maximum length : 6 numeric characters | Date |
Currency | Mandatory | This is the currency code used in the transaction. Length of input: 3 characters | Alphabetic |
Amount | Mandatory | This is the amount used in the transaction | Numeric |
OrderingCustomerNameAddress | Mandatory | Element root containing details of Ordering customer | Object |
OrderingCustomerName | Mandatory | Ordering Customer’s Name Input size: Min - 3 Characters Max - 35 Characters | Alphabet |
OrderingCustomerAdd1 | Mandatory | Ordering Customer’s Address Line 1 Input size: Min - 3 Characters Max - 35 Characters | String |
OrderingCustomerAdd2 | Mandatory | Ordering Customer’s Address Line 2 ( | String |
OrderingCustomerAdd3 | Mandatory | Ordering Customer’s Address Line 3 Input size: Min - 3 Characters Max - 35 Characters | String |
OrderingInstitution | Mandatory | Ordering Institution Ex: SABBSARI, RJHISARI Maximum length: 8 or 11 characters | Alphanumeric |
OrderingCustomerAccountNumber | Conditional Mandatory for NCB | Ordering Customer’s account number (Any one is mandatory Account Number or IBAN Number) Input size: Min - 11 Characters Max - 24 Characters | Alphanumeric |
OrderingCustomerIBAN | Conditional | Ordering Customer’s IBAN number (Any one is mandatory Account Number or IBAN Number) | Alphanumeric |
OrderingCurrency | Mandatory | This is the currency code used in the transaction. Maximum length : 3 digit currency code | Alphabet |
BeneficiaryAccountWithInstitutionBIC | Mandatory | Beneficiary BIC Code Ex: SABBSARI, RJHISARI Maximum length: 8 or 11 characters | Alphanumeric |
BeneficiaryAccountNumberNameAddress | Mandatory | Element root containing details of the beneficiary | Object |
BeneficiaryAccount | Mandatory | Beneficiary Customer’s account number Input size: Min - 11 Characters Max - 24 Characters | String |
BeneficiaryName | Mandatory | Beneficiary Name Input size: Min - 3 Characters Max - 35 Characters | Alphabetic |
BeneficiaryADD1 | Mandatory | Beneficiary Address Line 1 Input size: Min - 3 Characters Max - 35 Characters | String |
BeneficiaryADD2 | Mandatory | Beneficiary Address Line 2 ( | String |
BeneficiaryADD3 | Mandatory | Beneficiary Address Line 3 Input size: Min - 3 Characters Max - 35 Characters | String |
PurposeOfRemittance | Mandatory | Code representing the purpose of remittance | Numeric |
DetailsOfCharge | Mandatory | Always should be | Alphabet |
AdditionalDetails | Optional | Additional details Max size of input: 35 Characters | String |
TransactionComment | Mandatory | Additional comments for the payments Max size of input: 35 Characters | String |
TransferType | Mandatory | Same Bank : | Alphabet |
Signature | Mandatory | Encrypted string generated using a Private Key/CA-Signed Certificate with SHA-256 and RSA (JCE Signature) | String |
{
"OSVPaymentMessageResponse": {
"OSVPaymentTransactionResponse": [
{
"BankCode": "ALRAJHI",
"BankReferenceNumber": "",
"TransactionReferenceNumber": "797687499",
"TransactionData": [
{
"CompanyCode": "125001234",
"SequenceNum": "77858297",
"StatusCode": "OK",
"StatusDetail": "Your Payment file has been accepted, Kindly attempt to do a Payment Inquiry in a few minutes to know the Final status."
}
]
}
]
}
}Response description
JSON Tag | Description | Data type |
|---|---|---|
OSVPaymentMessageResponse | Root node | Object |
OSVPaymentTransactionResponse | Element root containing response of every bank transactions | Object/Array |
BankCode | Unique bank identification code Ex: | String |
BankReferenceNumber | Bank Reference Number | String |
TransactionReferenceNumber | It is a unique reference number generated by the customer by the time of transaction) | String |
TransactionData | This tag contains the status of the payments | String |
CompanyCode | Sender company Code/Identifier | String |
SequenceNum | Unique sequence number of the transaction generated by the client | String |
StatusCode | Code representing status of the request | Alphabet |
StatusDetail | Details about the status of the request | String |